// CubeSearch v1.0
// Written by David J. Stein, Esq. See "License.html" for terms and conditions of use.
//
// This module contains all of the code for the help documentation dialog.

#region Using declarations

using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using System.IO;

#endregion

namespace Cube_Search {

	#region Variables and initialization code

	public class CubeSearchHelp : System.Windows.Forms.Form	{
		private System.Windows.Forms.Button btnOK;
		private System.Windows.Forms.Label label1;
		private System.Windows.Forms.RichTextBox txtHelp;
		private System.ComponentModel.Container components = null;

		public CubeSearchHelp()	{
			InitializeComponent();
		}

		#endregion

	#region Uninteresting Windows Form Designer generated code
		protected override void Dispose(bool disposing)		{
			if (disposing) {
				if (components != null) {
				components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

	private void InitializeComponent()	{
		System.Resources.ResourceManager resources = new System.Resources.ResourceManager(typeof(CubeSearchHelp));
		this.txtHelp = new System.Windows.Forms.RichTextBox();
		this.btnOK = new System.Windows.Forms.Button();
		this.label1 = new System.Windows.Forms.Label();
		this.SuspendLayout();
		// 
		// txtHelp
		// 
		this.txtHelp.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
			| System.Windows.Forms.AnchorStyles.Left) 
			| System.Windows.Forms.AnchorStyles.Right)));
		this.txtHelp.Location = new System.Drawing.Point(8, 32);
		this.txtHelp.Name = "txtHelp";
		this.txtHelp.ReadOnly = true;
		this.txtHelp.Size = new System.Drawing.Size(392, 312);
		this.txtHelp.TabIndex = 0;
		this.txtHelp.Text = "";
		// 
		// btnOK
		// 
		this.btnOK.Anchor = System.Windows.Forms.AnchorStyles.Bottom;
		this.btnOK.Location = new System.Drawing.Point(167, 352);
		this.btnOK.Name = "btnOK";
		this.btnOK.TabIndex = 1;
		this.btnOK.Text = "OK";
		this.btnOK.Click += new System.EventHandler(this.btnOK_Click);
		// 
		// label1
		// 
		this.label1.Location = new System.Drawing.Point(8, 8);
		this.label1.Name = "label1";
		this.label1.Size = new System.Drawing.Size(392, 23);
		this.label1.TabIndex = 2;
		this.label1.Text = "CubeSearch v1.0 written by David J. Stein, Esq. (c) 2005. All rights reserved.";
		this.label1.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
		// 
		// CubeSearchHelp
		// 
		this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
		this.ClientSize = new System.Drawing.Size(408, 382);
		this.Controls.Add(this.label1);
		this.Controls.Add(this.btnOK);
		this.Controls.Add(this.txtHelp);
		this.Icon = ((System.Drawing.Icon)(resources.GetObject("$this.Icon")));
		this.MaximizeBox = false;
		this.MinimizeBox = false;
		this.Name = "CubeSearchHelp";
		this.Text = "CubeSearch Help";
		this.Load += new System.EventHandler(this.CubeSearchHelp_Load);
		this.ResumeLayout(false);

	}
		#endregion

		#region Event handlers

		private void CubeSearchHelp_Load(object sender, System.EventArgs e) {
			if (File.Exists(@"CubeSearch Help.rtf"))
				txtHelp.LoadFile(@"CubeSearch Help.rtf");
			else
				txtHelp.Text = "Help file ('CubeSearch Help.rtf') not found.";
		}

		private void btnOK_Click(object sender, System.EventArgs e) {
			Close();
		}

		#endregion

	}
}
